<bugID>1172499<Summary>Remove preferences for OCSP from about:preferences</Summary><Description>In bug 1010068, we added a third option (besides 0 and 1) to the preference security.OCSP.enabled.  (Option 2 means "only fetch for EV".)  As :keeler notes in that bug [1], there is UI for this pref, and that UI can only express two levels (it's a checkbox).

When the pref is set to a value other than 0/1, the UI displayed is the same as for the value 0.  This creates a risk that an advanced user could set the pref to 2 in about:config, then see the box un-checked in the UI and check it, resetting the pref to 1.

Simply changing the logic so that any value greater than 0 caused the box to be checked would be an improvement.  But the better answer would be to have the UI actually reflect that there are multiple behaviors here.

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=1010068#c27</Description></bugID>